Package: groovy.org.codenarc.rule.naming

## [Groovy] Class VariableNameRule

- groovy.org.codenarc.rule.naming.VariableNameRule

- Rule that verifies that the name of each variable matches a regular expression. By default it checks that non-`final` variable names start with a lowercase letter and contains only letters or numbers. By default, `final` variable names start with an uppercase letter and contain only uppercase letters, numbers and underscores.

  The `regex` property specifies the default regular expression to validate a variable name. It is required and cannot be null or empty. It defaults to '[a-z][a-zA-Z0-9]*'.

  The `finalRegex` property specifies the regular expression to validate `final` variable names. It is optional but defaults to '[A-Z][A-Z0-9_]*'. If not set, then `regex` is used to validate `final` variables.

  The `ignoreVariableNames` property optionally specifies one or more (comma-separated) variable names that should be ignored (i.e., that should not cause a rule violation). The name(s) may optionally include wildcard characters ('*' or '?').
  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `finalRegex`
    `String` | `ignoreVariableNames`
    `String` | `name`
    `int` | `priority`
    `String` | `regex`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String finalRegex

    - #### String ignoreVariableNames

    - #### String name

    - #### int priority

    - #### String regex